Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface SC

All Superinterfaces:
  ANY, BIN1, ED, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ST1

All Known Implementing Classes:
  SCImpl

    public interface SC

extends ST1

A representation of the model object 'SC'. A ST that optionally may have a code attached. The text must always be present if a code is present. The code is often a local code.

The following features are supported:

- `Code`
- `Code System`
- `Code System Name`
- `Code System Version`
- `Display Name`

See Also:
  `CDAR2Package.getSC()`

Method Summary
`java.lang.String` | `getCode()` Returns the value of the 'Code' attribute.
`java.lang.String` | `getCodeSystem()` Returns the value of the 'Code System' attribute.
`java.lang.String` | `getCodeSystemName()` Returns the value of the 'Code System Name' attribute.
`java.lang.String` | `getCodeSystemVersion()` Returns the value of the 'Code System Version' attribute.
`java.lang.String` | `getDisplayName()` Returns the value of the 'Display Name' attribute.
`void` | `setCode(java.lang.String value)` Sets the value of the '`Code`' attribute.
`void` | `setCodeSystem(java.lang.String value)` Sets the value of the '`Code System`' attribute.
`void` | `setCodeSystemName(java.lang.String value)` Sets the value of the '`Code System Name`' attribute.
`void` | `setCodeSystemVersion(java.lang.String value)` Sets the value of the '`Code System Version`' attribute.
`void` | `setDisplayName(java.lang.String value)` Sets the value of the '`Display Name`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ED
`getCompression, getIntegrityCheck, getIntegrityCheckAlgorithm, getLanguage, getMediaType, getMixed, getReference, getThumbnail, isSetCompression, isSetIntegrityCheckAlgorithm, isSetMediaType, setCompression, setIntegrityCheck, setIntegrityCheckAlgorithm, setLanguage, setMediaType, setReference, setThumbnail, unsetCompression, unsetIntegrityCheckAlgorithm, unsetMediaType`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.BIN1
`getRepresentation, isSetRepresentation, setRepresentation, unsetRepresentation`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCode

    java.lang.String getCode()

  Returns the value of the 'Code' attribute. The plain code symbol defined by the code system. For example, "784.0" is the code symbol of the ICD-9 code "784.0" for headache.

  Returns:
    the value of the 'Code' attribute.
  See Also:
    `setCode(String)`, `CDAR2Package.getSC_Code()`

### setCode

    void setCode(java.lang.String value)

  Sets the value of the '`Code`' attribute.

  Parameters:
    `value` - the new value of the 'Code' attribute.
  See Also:
    `getCode()`

### getCodeSystem

    java.lang.String getCodeSystem()

  Returns the value of the 'Code System' attribute. Specifies the code system that defines the code.

  Returns:
    the value of the 'Code System' attribute.
  See Also:
    `setCodeSystem(String)`, `CDAR2Package.getSC_CodeSystem()`

### setCodeSystem

    void setCodeSystem(java.lang.String value)

  Sets the value of the '`Code System`' attribute.

  Parameters:
    `value` - the new value of the 'Code System' attribute.
  See Also:
    `getCodeSystem()`

### getCodeSystemName

    java.lang.String getCodeSystemName()

  Returns the value of the 'Code System Name' attribute. A common name of the coding system.

  Returns:
    the value of the 'Code System Name' attribute.
  See Also:
    `setCodeSystemName(String)`, `CDAR2Package.getSC_CodeSystemName()`

### setCodeSystemName

    void setCodeSystemName(java.lang.String value)

  Sets the value of the '`Code System Name`' attribute.

  Parameters:
    `value` - the new value of the 'Code System Name' attribute.
  See Also:
    `getCodeSystemName()`

### getCodeSystemVersion

    java.lang.String getCodeSystemVersion()

  Returns the value of the 'Code System Version' attribute. If applicable, a version descriptor defined specifically for the given code system.

  Returns:
    the value of the 'Code System Version' attribute.
  See Also:
    `setCodeSystemVersion(String)`, `CDAR2Package.getSC_CodeSystemVersion()`

### setCodeSystemVersion

    void setCodeSystemVersion(java.lang.String value)

  Sets the value of the '`Code System Version`' attribute.

  Parameters:
    `value` - the new value of the 'Code System Version' attribute.
  See Also:
    `getCodeSystemVersion()`

### getDisplayName

    java.lang.String getDisplayName()

  Returns the value of the 'Display Name' attribute. A name or title for the code, under which the sending system shows the code value to its users.

  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `setDisplayName(String)`, `CDAR2Package.getSC_DisplayName()`

### setDisplayName

    void setDisplayName(java.lang.String value)

  Sets the value of the '`Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name' attribute.
  See Also:
    `getDisplayName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD